
<template>
    <div id="home">
        <div id="bg" class="hidden-sm-and-down"></div>
        
        <Toolbar/>

        <v-content>
            <v-layout row wrap>
                <v-flex xs12 class="pb-5 mb-5">
                    <v-layout row wrap class="white--text text-xs-center">
                        <v-flex xs8 offset-xs2
                            class="white--text mb-2 display-1 first-letter">
                            <div class="cursive pt-5 mb-4">
                                <div style="font-size: 50%">
                                    (<span>P</span>ijam <span>I</span>s a)
                                </div>
                                <div v-html="title"></div>
                            </div>
                        </v-flex>
                        <v-flex xs12 sm6 offset-sm3
                            text-xs-center>
                            <div class="pitch" style="font-size: 28px !important;">
                                {{$i18n.t("home.pitch")}}
                            </div>
                            <v-btn color="accent" class="mt-5"
                                dark large @click="$auth.login({name: 'register'})">
                                {{$i18n.t("home.getStarted")}}
                            </v-btn>
                        </v-flex>
                    </v-layout>
                </v-flex>
                <v-flex xs12>
                    <v-layout column wrap align-center>
                        <v-flex xs12>
                            <v-layout row wrap>
                                <v-flex xs12 sm4 class="pa-3">
                                    <v-card class="elevation-0">
                                        <v-card-text class="text-xs-center">
                                            <v-icon large class="blue--text text--lighten-2">track_changes</v-icon>
                                        </v-card-text>
                                        <v-card-title primary-title class="layout justify-center">
                                            <div class="headline text-xs-center">
                                              {{$i18n.t("home.card1.title")}}
                                            </div>
                                        </v-card-title>
                                        <v-card-text class="text-xs-justify card-pitch pb-3">
                                            {{$i18n.t("home.card1.pitch")}}
                                        </v-card-text>
                                        <v-img
                                            src="/resources/img/home/board.png"
                                            aspect-ratio="2.75" />
                                    </v-card>
                                </v-flex>
                                <v-flex xs12 sm4 class="pa-3">
                                    <v-card class="elevation-0">
                                        <v-card-text class="text-xs-center">
                                            <v-icon large class="blue--text text--lighten-2">notes</v-icon>
                                        </v-card-text>
                                        <v-card-title primary-title class="layout justify-center">
                                            <div class="headline text-xs-center">
                                              {{$i18n.t("home.card2.title")}}
                                            </div>
                                        </v-card-title>
                                        <v-card-text class="text-xs-justify card-pitch pb-3">
                                            {{$i18n.t("home.card2.pitch")}}
                                        </v-card-text>
                                        <v-img
                                            src="/resources/img/home/notes.png"
                                            aspect-ratio="2.75" />
                                    </v-card>
                                </v-flex>
                                <v-flex xs12 sm4 class="pa-3">
                                    <v-card class="elevation-0">
                                        <v-card-text class="text-xs-center">
                                            <v-icon large class="blue--text text--lighten-2">event</v-icon>
                                        </v-card-text>
                                        <v-card-title primary-title class="layout justify-center">
                                            <div class="headline text-xs-center">{{$i18n.t("home.card3.title")}}</div>
                                        </v-card-title>
                                        <v-card-text class="text-xs-justify card-pitch pb-3">
                                            {{$i18n.t("home.card3.pitch")}}
                                        </v-card-text>
                                        <v-img
                                            src="/resources/img/home/interview.png"
                                            aspect-ratio="2.75" />
                                    </v-card>
                                </v-flex>
                                <v-flex xs8 offset-xs2 text-xs-center
                                    class="pitch mt-5 mb-5 pt-5 pb-5"
                                    style="font-size: 28px !important; color: white">
                                    <div>
                                        {{$i18n.t("home.subPitch")}}
                                    </div>
                                    <v-btn color="accent" class="mt-5"
                                        dark large @click="$auth.login({name: 'register'})">
                                        {{$i18n.t("home.freeTrial")}}
                                    </v-btn>
                                </v-flex>
                            </v-layout>
                        </v-flex>
                    </v-layout>
                </v-flex>
            </v-layout>
            <Footer />
        </v-content>
        
        
        
    </div>

</template>

<script>
import Toolbar from '../components/Toolbar.vue'
export default {
  name: 'home',
  components: {
    Toolbar
  },
  props: ['qualifier'],
  computed: {
      title() {
        return this.$i18n.t("home.title")
      }
  }
}

window.addEventListener("load", function(){
    window.cookieconsent.initialise({
      "palette": {
        "popup": {
          "background": "#ffffff",
          "text": "#666"
        },
        "button": {
          "background": "#2196F3"
        }
      },
      "theme": "classic",
      "position": "bottom"
    })
});

</script>

<style>
.first-letter span {
  font-weight: bold;
  color: #1F70C5;
}
.pitch {
  padding-bottom: 20px; 
  font-family: 'Lato', sans-serif !important; 
  font-size: 20px !important; 
  font-style: normal; 
  font-size: 28px; 
  font-weight: 300; 
  line-height: 1.5em;
}
.card-pitch {
  line-height: 1.5em;
  height: 9em;
}
.headline {
  line-height: 1.5em;
  height: 3em;
}
#bg {
    background-image: url("/resources/img/home/bg-1.png") !important;
    background-repeat: no-repeat !important;
    position: absolute;
    left: -468px;
    top: -240px;
    height: 950px;
    z-index: 1000;
    width: 1150px;
}
</style>


